## OpenLiteSpeed Web Server Users' Manual

### Version 1.7 — Rev. 26

- License
- Introduction
- Installation
- Administration
  - Service Manager
- Security
- Configuration
  - Server General
  - Server Log
  - Server Tuning
  - Server Security
  - External Apps
  - Fast CGI App
  - Fast CGI Authorizer
  - LSAPI App
  - Servlet Engine
  - Web Server
  - Piped logger
  - Load Balancer
  - Script Handler
  - App Server Settings
  - Module Configuration
  - Listener General
  - Listener SSL
  - Virtual Host Templates
  - Virtual Host Basic
  - Virtual Host General
  - Virtual Host Security
  - Virtual Host SSL
  - Rewrite
  - Context
  - Static Context
  - Java Web App Context
  - Servlet Context
  - Fast CGI Context
  - LSAPI Context
  - Proxy Context
  - CGI Context
  - Load Balancer Context
  - Redirect Context
  - App Server Context
  - Module Handler Context
  - Web Socket Proxy
- Web Console
  - Admin Console General
  - Admin Console Security
  - Admin Listener General
  - Admin Listener SSL

# Listeners General

## Table of Contents

### Listener Name⇑

#### Description

A unique name for this listener.

### IP Address⇑

#### Description

Specifies the IP of this listener. All available IP addresses are listed. IPv6 addresses are enclosed in "[ ]".
To listen on all IPv4 IP addresses, select ANY. To listen on all IPv4 and IPv6 IP addresses, select [ANY].
In order to serve both IPv4 and IPv6 clients, an IPv4-mapped IPv6 address should be used instead of a plain IPv4 address. An IPv4-mapped IPv6 address is written as [::FFFF:x.x.x.x].

#### Syntax

Select from drop down list

#### Tips

If your machine has multiple IPs on different sub-networks, you can select a specific IP to only allow traffic from the corresponding sub-network.

### Port⇑

#### Description

Specifies the TCP port of the listener. Only the super user ("root") can use ports lower than 1024. Port 80 is the default HTTP port. Port 443 is the default HTTPS port.

#### Syntax

Integer number

### Binding⇑

#### Description

Specifies which lshttpd child process the listener is assigned to. Different child processes can be used to handle requests to different listeners by manually associating a listener with a process. By default, a listener is assigned to all child processes.

#### Syntax

Select from checkbox

### Enable REUSEPORT⇑

#### Description

Use SO_REUSEPORT socket option to distribute incoming traffic to multiple workers. This setting is only effective for multi-worker licenses. When enabled, all workers are automatically bound to this listener and "Binding" configuration is ignored.
Default value: On

#### Syntax

Select from radio box

### Secure⇑

#### Description

Specifies whether this is a secure (SSL) listener. For secure listeners, additional SSL settings need to be set properly.

#### Syntax

Select from radio box

### Virtual Host Mappings⇑

#### Description

Specifies the relationship between the listener and virtual hosts. Listeners and virtual hosts are associated by domain names. An HTTP request will be routed to a virtual host with a matching domain name. One listener can map to multiple virtual hosts for different domain names. One virtual host can also be mapped from different listeners. One listener can allow one catchall virtual host with the domain name value "*". When there is no explicitly matched domain name in the listener's mapping, the listener will forward the request to that catchall virtual host.

#### Tips

Only add necessary mappings. If the listener is mapped to only one virtual host, then only set up a catchall mapping "*".

### Virtual Host⇑

#### Description

Specifies the name of a virtual host.

#### Syntax

Select from drop down list

### Domains⇑

#### Description

Specifies the mapping domain names. Domain names are case insensitive and the leading "www." will be removed. The wildcard characters "*" and "?" are allowed. "?" only represents one character. "*" represents any numbers of characters. Duplicated domain names are not allowed.

#### Syntax

Comma-separated list.

#### Example

www?.example.com
"*.mydomain.com" will match all subdomains of mydomain.com.
"*" by itself is the catchall domain and will match any unmatched domain names.

#### Tips

If a listener is dedicated to one virtual host, always use * for the domain name to avoid unnecessary checking. Domain names with wildcard characters (other than the catchall domain) should be avoided whenever possible.